@mixin margin-padding($m-direction,$m-amount,$p-direction,$p-amount){
    @if $m-direction==all{
            margin:$m-amount;
    } @else{
            margin-#{$m-direction}: $m-amount;
    }
    @if $p-direction==all{
        padding: $p-amount;
    } @else{
        padding-#{$p-direction}: $p-amount;
    }
}
*,body{
    padding: 0;
    margin: 0;
    direction:rtl;
    box-sizing:border-box;
    font-family: iransans;
}
a{
    text-decoration: none;
}
ul, li{
    list-style: none;
}
@font-face{
    font-family: "iransans";
    src: url("../font/Sans.woff");
}
.navbar{
    display: flex;
    align-items:center;
    border-bottom: 1px solid #efefef;
    .nav-brand{
        // margin
            @include margin-padding(all,0 15px, null,null);
        // padding
            @include margin-padding(null,null,top,10px);
            img{
                width:34px;
            }
    }
    .search-wrapper{
        width:63%;
        .input-wrapper{
            position: relative;
            .input-holder{
                .search-input{
                    width: 100%;
                    border:none;
                    background:#efefef;
                    border-radius: 8px;
                    @include margin-padding(null,null,right , 10px)
                    }
            }
        }

    }
    .top-nav{
        ul{
            // @include margin-padding(null, null, all, 32px 0);
            display:inline-flex;
            align-items:center;

            li{
                display:inline-block;
                width:90px;
                text-align: center;
                @include margin-padding(null, null, all, 5px 10px);
                position: relative;
                a{
                    color: #8a8a8a;
                }
                &:hover{
                    background-color: lightblue;
                    border-radius: 20px;
                   
                }
                &:nth-child(4):hover{
                    background-color: transparent;

                }
                &:first-child a{
                    color: #000000;
                }
                &:nth-child(2){
                    font-size:12px;
                }
                &:nth-child(3){
                    padding-left:30px;
                }

            }
            li.user-profile{
                a{
                    @include margin-padding(null, null, left, 10px)
                }
                span{
                    position: absolute;
                    left: 8px;
                    top: 5px;
                    img{
                        width: 26px;
                        border-radius: 100%;
                        }
                }
            }
            li.comments i, li.notify i{
                font-size:28px;
                vertical-align: -8px;
            }
            li.notify{
                .badge{
                    background-color: red;
                    font-size: 9px;
                    position: absolute;
                    top:5px;
                    right: 20px;
                    border-radius: 100%;
                    width:20px;
                    color: #fff;
                }

            }
        }
    }
}
// Wrapp section( main pictures of the page) 
.wrapper{
    display:flex;
    flex-wrap: wrap;
    @include margin-padding(top, 30px, all, 0 4px);
    .row-items{
        flex: 14.2%;
        max-width: 14.2%;
        cursor: zoom-in;
        @include margin-padding(null, null, all, 0 10px);
        .overlay{
            position:relative;
            @include margin-padding(bottom, 10px, null, null);
            .overlay-items{
                 position: absolute;
                 width: 100%;
                 height: 100%;
                 top:0;
                 left:0;
                 background:rgba(0,0,0,0.2);
                 display:none;
                 border-radius: 18px;
                 .icon{
                     display: flex;
                     justify-content: center;
                     align-items: flex-end;
                     height: 100%;
                     @include margin-padding(null, null, bottom, 15px);
                     color:#fff;
                     i{
                         background-color: #efefef;
                         border-radius:100%;
                        font-size:14px;
                        color:#000;
                        @include margin-padding(left, 4px, all, 6px)
                        }
                        span{
                            background-color: #efefef;
                            @include margin-padding(null,null,all,1px10px);
                            font-size:14px;
                            border-radius: 19px;
                            color:#000;
                            i{
                                transform:rotate(45deg);
                               background:transparent;
                               vertical-align: -5px;
                            }
                            }
                    }
                    
                 } 
                 &:hover .overlay-items{
                     display:block;
                 }
            }  
            img{
                display:flex;
                border-radius: 18px;
                }    
            }
    }



